Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1601218 - "bad pointer in frame" when testing golang-github-thomsonreuterseikon-ntlm
Summary: "bad pointer in frame" when testing golang-github-thomsonreuterseikon-ntlm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1604225
TreeView+ depends on / blocked
 
Reported: 2018-07-15 09:14 UTC by Elliott Sales de Andrade
Modified: 2018-08-29 04:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 04:03:15 UTC


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2018-07-15 09:14:25 UTC
During the Fedora 29 mass rebuild, golang-github-thomsonreuterseikon-ntlm failed to build. The test crashed with the following message on s390x only:

+ go test -buildmode pie -compiler gc -ldflags '-extldflags '\''-Wl,-z,relro   -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\'''
2018/07/14 11:30:29 (ProcessAuthenticateMessage)NTLM v1 User 100001.wcp@thomsonreuters.com Domain 
runtime: bad pointer in frame github.com/ThomsonReutersEikon/go-ntlm/ntlm.TestNtlmV1 at 0xc000093a80: 0x3
fatal error: invalid pointer found on stack
runtime stack:
runtime.throw(0x2aa352f150a, 0x1e)
	/usr/lib/golang/src/runtime/panic.go:589 +0x66 fp=0x3ffc99fe0c8 sp=0x3ffc99fe0a0 pc=0x2aa351e3ee6
runtime.adjustpointers(0xc000093810, 0x3ffc99fe170, 0x3ffc99fe558, 0x2aa3545c508, 0x2aa354707e0)
	/usr/lib/golang/src/runtime/stack.go:587 +0x2a4 fp=0x3ffc99fe120 sp=0x3ffc99fe0c8 pc=0x2aa351fd2b4
runtime.adjustframe(0x3ffc99fe470, 0x3ffc99fe558, 0x2aa354707e0)
	/usr/lib/golang/src/runtime/stack.go:629 +0x14a fp=0x3ffc99fe190 sp=0x3ffc99fe120 pc=0x2aa351fd41a
runtime.gentraceback(0xffffffffffffffff, 0xffffffffffffffff, 0x0, 0xc000001800, 0x0, 0x0, 0x7fffffff, 0x2aa3538ee60, 0x3ffc99fe558, 0x0, ...)
	/usr/lib/golang/src/runtime/traceback.go:325 +0x13ca fp=0x3ffc99fe4c8 sp=0x3ffc99fe190 pc=0x2aa3520a47a
runtime.copystack(0xc000001800, 0x2000, 0x10003ffaceeffff)
	/usr/lib/golang/src/runtime/stack.go:841 +0x23e fp=0x3ffc99fe678 sp=0x3ffc99fe4c8 pc=0x2aa351fdb0e
runtime.newstack()
	/usr/lib/golang/src/runtime/stack.go:1013 +0x2ba fp=0x3ffc99fe808 sp=0x3ffc99fe678 pc=0x2aa351fdeda
runtime.morestack()
	/usr/lib/golang/src/runtime/asm_s390x.s:360 +0x8e fp=0x3ffc99fe810 sp=0x3ffc99fe808 pc=0x2aa3521326e
goroutine 23 [copystack]:
runtime.heapBitsSetType(0xc000100000, 0x2c0, 0x2c0, 0x2aa35375f00)
	/usr/lib/golang/src/runtime/mbitmap.go:911 +0xbfe fp=0xc0000933f8 sp=0xc0000933f8 pc=0x2aa351ca97e
runtime.mallocgc(0x2c0, 0x2aa35375f00, 0x100000000000068, 0xc0000af3b0)
	/usr/lib/golang/src/runtime/malloc.go:925 +0x5da fp=0xc0000934a8 sp=0xc0000933f8 pc=0x2aa351c033a
runtime.newarray(0x2aa35375f00, 0x4, 0x3ffaf23a000)
	/usr/lib/golang/src/runtime/malloc.go:1040 +0x72 fp=0xc0000934d0 sp=0xc0000934a8 pc=0x2aa351c0ba2
runtime.makeBucketArray(0x2aa353623c0, 0x20002aa35463990, 0x0, 0x70, 0x2aa35377d00)
	/usr/lib/golang/src/runtime/map.go:355 +0x1ee fp=0xc000093500 sp=0xc0000934d0 pc=0x2aa351c1c9e
runtime.makemap(0x2aa353623c0, 0x16, 0xc000093630, 0x2aa3525b8c2)
	/usr/lib/golang/src/runtime/map.go:321 +0x116 fp=0xc000093540 sp=0xc000093500 pc=0x2aa351c1946
github.com/ThomsonReutersEikon/go-ntlm/ntlm.GetFlagName(...)
	/builddir/build/BUILD/go-ntlm-51f51a355c40946a10ff9f8f3c1da22977701967/_build/src/github.com/ThomsonReutersEikon/go-ntlm/ntlm/negotiate_flags.go:144
github.com/ThomsonReutersEikon/go-ntlm/ntlm.FlagsToString(0xe2808235000af340, 0xc00001be40, 0x11)
	/builddir/build/BUILD/go-ntlm-51f51a355c40946a10ff9f8f3c1da22977701967/_build/src/github.com/ThomsonReutersEikon/go-ntlm/ntlm/negotiate_flags.go:199 +0x19c fp=0xc000093660 sp=0xc000093540 pc=0x2aa352ddedc
github.com/ThomsonReutersEikon/go-ntlm/ntlm.(*AuthenticateMessage).String(0xc0000f2840, 0xac, 0x160)
	/builddir/build/BUILD/go-ntlm-51f51a355c40946a10ff9f8f3c1da22977701967/_build/src/github.com/ThomsonReutersEikon/go-ntlm/ntlm/message_authenticate.go:288 +0x452 fp=0xc0000937b0 sp=0xc000093660 pc=0x2aa352dc862
github.com/ThomsonReutersEikon/go-ntlm/ntlm.TestNtlmV1(0xc0000a3700)
	/builddir/build/BUILD/go-ntlm-51f51a355c40946a10ff9f8f3c1da22977701967/_build/src/github.com/ThomsonReutersEikon/go-ntlm/ntlm/ntlmv1_test.go:159 +0x79a fp=0xc000093fa8 sp=0xc0000937b0 pc=0x2aa352e853a
testing.tRunner(0xc0000a3700, 0x2aa3538ece8)
	/usr/lib/golang/src/testing/testing.go:827 +0xcc fp=0xc000093fc8 sp=0xc000093fa8 pc=0x2aa3527b01c
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_s390x.s:782 +0x2 fp=0xc000093fc8 sp=0xc000093fc8 pc=0x2aa35215422
created by testing.(*T).Run
	/usr/lib/golang/src/testing/testing.go:878 +0x372
goroutine 1 [chan receive]:
runtime.gopark(0x2aa3538f068, 0xc000021498, 0xd17000000000100, 0x3)
	/usr/lib/golang/src/runtime/proc.go:302 +0x10e fp=0xc000091b68 sp=0xc000091b50 pc=0x2aa351e5ede
runtime.goparkunlock(0xc000021498, 0xd17000000000000, 0x3)
	/usr/lib/golang/src/runtime/proc.go:308 +0x54 fp=0xc000091b90 sp=0xc000091b68 pc=0x2aa351e5f94
runtime.chanrecv(0xc000021440, 0xc000091ca0, 0x10000c000000180, 0x2aa3527b3f2)
	/usr/lib/golang/src/runtime/chan.go:520 +0x2ec fp=0xc000091c20 sp=0xc000091b90 pc=0x2aa351b9ddc
runtime.chanrecv1(0xc000021440, 0xc000091ca0)
	/usr/lib/golang/src/runtime/chan.go:402 +0x28 fp=0xc000091c48 sp=0xc000091c20 pc=0x2aa351b9ad8
testing.(*T).Run(0xc0000a3700, 0x2aa352ec79a, 0xa, 0x2aa3538ece8, 0x10002aa3527afcc)
	/usr/lib/golang/src/testing/testing.go:879 +0x392 fp=0xc000091cf8 sp=0xc000091c48 pc=0x2aa3527b412
testing.runTests.func1(0xc0000a2000)
	/usr/lib/golang/src/testing/testing.go:1119 +0x8a fp=0xc000091d40 sp=0xc000091cf8 pc=0x2aa3527ee9a
testing.tRunner(0xc0000a2000, 0xc000091e10)
	/usr/lib/golang/src/testing/testing.go:827 +0xcc fp=0xc000091d60 sp=0xc000091d40 pc=0x2aa3527b01c
testing.runTests(0xc00000e0c0, 0x2aa35468340, 0x1a, 0x1a, 0x1270717273747576)
	/usr/lib/golang/src/testing/testing.go:1117 +0x2b8 fp=0xc000091e30 sp=0xc000091d60 pc=0x2aa3527c758
testing.(*M).Run(0xc0000a0000, 0x0)
	/usr/lib/golang/src/testing/testing.go:1034 +0x196 fp=0xc000091f38 sp=0xc000091e30 pc=0x2aa3527b8b6
main.main()
	_testmain.go:92 +0x15a fp=0xc000091f98 sp=0xc000091f38 pc=0x2aa352eac4a
runtime.main()
	/usr/lib/golang/src/runtime/proc.go:201 +0x23c fp=0xc000091fd8 sp=0xc000091f98 pc=0x2aa351e5a8c
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_s390x.s:782 +0x2 fp=0xc000091fd8 sp=0xc000091fd8 pc=0x2aa35215422
goroutine 2 [force gc (idle)]:
runtime.gopark(0x2aa3538f068, 0x2aa3547c0e0, 0x1014000000000000, 0x1)
	/usr/lib/golang/src/runtime/proc.go:302 +0x10e fp=0xc00003cf88 sp=0xc00003cf70 pc=0x2aa351e5ede
runtime.goparkunlock(0x2aa3547c0e0, 0x1014000000000000, 0x1)
	/usr/lib/golang/src/runtime/proc.go:308 +0x54 fp=0xc00003cfb0 sp=0xc00003cf88 pc=0x2aa351e5f94
runtime.forcegchelper()
	/usr/lib/golang/src/runtime/proc.go:251 +0xac fp=0xc00003cfd8 sp=0xc00003cfb0 pc=0x2aa351e5d2c
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_s390x.s:782 +0x2 fp=0xc00003cfd8 sp=0xc00003cfd8 pc=0x2aa35215422
created by runtime.init.3
	/usr/lib/golang/src/runtime/proc.go:240 +0x30
goroutine 3 [GC sweep wait]:
runtime.gopark(0x2aa3538f068, 0x2aa3547c240, 0xc1402aa351d66a4, 0x1)
	/usr/lib/golang/src/runtime/proc.go:302 +0x10e fp=0xc00003d788 sp=0xc00003d770 pc=0x2aa351e5ede
runtime.goparkunlock(0x2aa3547c240, 0xc1402aa35311b70, 0x1)
	/usr/lib/golang/src/runtime/proc.go:308 +0x54 fp=0xc00003d7b0 sp=0xc00003d788 pc=0x2aa351e5f94
runtime.bgsweep(0xc000016070)
	/usr/lib/golang/src/runtime/mgcsweep.go:52 +0x82 fp=0xc00003d7d0 sp=0xc00003d7b0 pc=0x2aa351d66c2
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_s390x.s:782 +0x2 fp=0xc00003d7d0 sp=0xc00003d7d0 pc=0x2aa35215422
created by runtime.gcenable
	/usr/lib/golang/src/runtime/mgc.go:216 +0x54
goroutine 4 [finalizer wait]:
runtime.gopark(0x2aa3538f068, 0x2aa354ad1e8, 0xf14000000000000, 0x1)
	/usr/lib/golang/src/runtime/proc.go:302 +0x10e fp=0xc00003df18 sp=0xc00003df00 pc=0x2aa351e5ede
runtime.goparkunlock(0x2aa354ad1e8, 0xf14000000000000, 0x1)
	/usr/lib/golang/src/runtime/proc.go:308 +0x54 fp=0xc00003df40 sp=0xc00003df18 pc=0x2aa351e5f94
runtime.runfinq()
	/usr/lib/golang/src/runtime/mfinal.go:175 +0x9e fp=0xc00003dfd8 sp=0xc00003df40 pc=0x2aa351ccd2e
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_s390x.s:782 +0x2 fp=0xc00003dfd8 sp=0xc00003dfd8 pc=0x2aa35215422
created by runtime.createfing
	/usr/lib/golang/src/runtime/mfinal.go:156 +0x74
exit status 2

See build here: https://koji.fedoraproject.org/koji/taskinfo?taskID=28215237

Comment 1 Jan Kurik 2018-08-14 09:53:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Zbigniew Jędrzejewski-Szmek 2018-08-27 09:24:32 UTC
There has been at least one successfull build after mass rebuild.

golang-1.11-0.beta1.1.fc29.1: https://koji.fedoraproject.org/koji/buildinfo?buildID=1110000

Comment 3 Elliott Sales de Andrade 2018-08-27 22:01:50 UTC
This is not really a FTBFS bug, so I'm going to remove it from the blocks so it doesn't get auto-closed again.

Comment 4 Elliott Sales de Andrade 2018-08-29 04:03:15 UTC
OK, turns out this is working now with one of the updates:
F30: https://koji.fedoraproject.org/koji/buildinfo?buildID=1140246
F29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1110685


Note You need to log in before you can comment on or make changes to this bug.